Bug 590010 - [6.0 FEAT] Update request for Servicelog
[6.0 FEAT] Update request for Servicelog
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
All All
high Severity high
: rc
: 6.0
Assigned To: Roman Rakus
Ben Levenson
: FutureFeature, OtherQA, Rebase
Depends On: 590023
Blocks: 356741 463284
  Show dependency treegraph
 
Reported: 2010-05-07 10:00 EDT by IBM Bug Proxy
Modified: 2014-01-12 19:11 EST (History)
13 users (show)

See Also:
Fixed In Version: servicelog-1.1.7-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 17:08:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 63374 None None None Never

  None (edit)
Description IBM Bug Proxy 2010-05-07 10:00:52 EDT
1. Feature Overview:
Feature Id: [63374]
a. Name of Feature: [6.0 FEAT] Update request for Servicelog
b. Feature Description
libservicelog packages are currently present in RHEL6, but the servicelog package, which uses this
library, is not.  This is a request to add the 32-bit version of this package.  64-bit version is
not needed at this time, but might be included as well, to meet Distro partner policy for RHEL6

LI 10-0168

2. Feature Details:
Sponsor: LTC RAS
Architectures:
  ppc64

Arch Specificity: purely arch specific code
Affects Kernel Modules: No
Delivery Mechanism: Direct from Community
Category: system management
Request Type: Toolchain - Enhancement from Upstream
d. Upstream Acceptance: No Code Required
Sponsor Priority P2
f. Severity: high
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:
---

3. Business Case
Some third party applications, such as IBM Director, require servicelog in order to access and
modify system events, such as hardware errors or maintenance such as adapter replacements. 
Servicelog is essential for the smooth management of a Power server, using Director.

4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael W. Wortman, wortman@us.ibm.com

Technical contact(s):
NAREN A. DEVAIAH, naren.devaiah@in.ibm.com

=Comment: #1=================================================
   BRAD PETERS <bpeters&#64;linux.vnet.ibm.com> - 

   Request for servicelog update from current, validated version (1.0.1) to latest available, 1.1.7,
available from [1].

v1.1.x introduced a merged API, combining that of the 0.2.9 and 1.0 API's.  This merged API was
requested by IBM Director, and in effect the 1.1.x version is required by all RHEL6 customers who
will be using IBM Director.  

[1]: http://sourceforge.net/projects/linux-diag/files/servicelog/1.1/servicelog-1.1.7.tar.gz/download
Comment 2 John Jarvis 2010-05-07 10:24:49 EDT
IBM is signed up to test and provide feedback.
Comment 3 Roman Rakus 2010-05-11 08:12:33 EDT
OK, I will add it.
Comment 6 Dennis Gregorovic 2010-05-21 09:56:32 EDT
Bill, please add to comps when you get a chance.
Comment 7 Roman Rakus 2010-05-21 11:14:07 EDT
servicelog-1.1.7-1.el6 built
Comment 8 Bill Nottingham 2010-05-21 14:53:49 EDT
Added to comps.
Comment 10 John Jarvis 2010-05-27 10:04:59 EDT
Planned for release in snapshot 6
Comment 11 IBM Bug Proxy 2010-06-09 11:33:25 EDT
------- Comment From bpeters@linux.vnet.ibm.com 2010-06-09 11:12 EDT-------
Looks good in snapshot 6
Comment 12 Alexander Todorov 2010-08-20 14:23:00 EDT
[root@ibm-x3950m2-02 6]# pwd
/mnt/redhat/rel-eng/RHEL6.0-20100818.0/6

[root@ibm-x3950m2-02 6]# find -name "servicelog*"
./Server/source/SRPMS/servicelog-1.1.7-2.el6.src.rpm
./Server/ppc64/os/Packages/servicelog-1.1.7-2.el6.ppc64.rpm
./Server/ppc64/debug/servicelog-debuginfo-1.1.7-2.el6.ppc64.rpm
./source/SRPMS/servicelog-1.1.7-2.el6.src.rpm


See also comment #11. Moving to VERIFIED.
Comment 13 releng-rhel@redhat.com 2010-11-10 17:08:13 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.